xn::StateChangedCallbackTranslator Class Reference

`#include <XnCppWrapper.h>`

## Public Member Functions

| StateChangedCallbackTranslator (StateChangedHandler handler, void *pCookie)
XnStatus | Register (_XnRegisterStateChangeFuncPtr xnFunc, XnNodeHandle hNode)
void | Unregister (_XnUnregisterStateChangeFuncPtr xnFunc, XnNodeHandle hNode)

## Static Public Member Functions

static XnStatus | RegisterToUnderlying (_XnRegisterStateChangeFuncPtr xnFunc, XnNodeHandle hNode, StateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)
static XnStatus | UnregisterFromUnderlying (_XnUnregisterStateChangeFuncPtr xnFunc, XnNodeHandle hNode, XnCallbackHandle hCallback)

## Friends

class | GeneralIntCapability

## Constructor & Destructor Documentation

## StateChangedCallbackTranslator()

xn::StateChangedCallbackTranslator::StateChangedCallbackTranslator | ( | StateChangedHandler | handler,
|  | void * | pCookie )

inline

## Member Function Documentation

## Register()

XnStatus xn::StateChangedCallbackTranslator::Register | ( | _XnRegisterStateChangeFuncPtr | xnFunc,
|  | XnNodeHandle | hNode )

inline

## RegisterToUnderlying()

XnStatus xn::StateChangedCallbackTranslator::RegisterToUnderlying | ( | _XnRegisterStateChangeFuncPtr | xnFunc,
|  | XnNodeHandle | hNode,
|  | StateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline static

## Unregister()

void xn::StateChangedCallbackTranslator::Unregister | ( | _XnUnregisterStateChangeFuncPtr | xnFunc,
|  | XnNodeHandle | hNode )

inline

## UnregisterFromUnderlying()

XnStatus xn::StateChangedCallbackTranslator::UnregisterFromUnderlying | ( | _XnUnregisterStateChangeFuncPtr | xnFunc,
|  | XnNodeHandle | hNode,
|  | XnCallbackHandle | hCallback )

inline static

## Friends And Related Symbol Documentation

## GeneralIntCapability

friend class GeneralIntCapability

friend

The documentation for this class was generated from the following file:

- XnCppWrapper.h